#include "csourcefile.h"
#include "gnuccompiler.h"

using namespace std;
using namespace Msp;

GnuCCompiler::GnuCCompiler(Builder &b, const Architecture &a, const FS::Path &sysroot):
	GnuCompiler(b, a, "CC", sysroot)
{
	set_command("gcc", true);
	input_suffixes.push_back(".c");
	aux_suffixes.push_back(".h");
}

Target *GnuCCompiler::create_source(const Component &comp, const FS::Path &path) const
{
	return new CSourceFile(builder, comp, path);
}

Target *GnuCCompiler::create_source(const FS::Path &path) const
{
	return new CSourceFile(builder, path);
}
