#include "architecture.h"
#include "gnuarchiver.h"
#include "gnuccompiler.h"
#include "gnucxxcompiler.h"
#include "gnulinker.h"
#include "gnuobjccompiler.h"
#include "gnutools.h"
#include "mingwdlltool.h"

GnuTools::GnuTools(Builder &builder, const Architecture &arch)
{
	add_tool(new GnuCCompiler(builder, arch));
	add_tool(new GnuCxxCompiler(builder, arch));
	add_tool(new GnuObjCCompiler(builder, arch));
	add_tool(new GnuLinker(builder, arch));
	add_tool(new GnuArchiver(builder, arch));
	if(arch.get_system()=="windows")
		add_tool(new MingwDllTool(builder, arch));
}
